import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:qu_qr_code_scanner/qu_qr_code_scanner.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _qrResult = '';

  @override
  void initState() {
    super.initState();
    getQrResultState();
  }

  Future<void> getQrResultState() async {
    String result;

    try {
      result = await QuQrCodeScanner.getScanResult ?? '';
    } on PlatformException {
      result = '';
    }

    if (!mounted) return;

    setState(() {
      _qrResult = result;
    });
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: Column(
            children: [
              Text('扫码结果: $_qrResult\n'),
              TextButton(
                onPressed: getQrResultState,
                child: Text('开始扫码'),
              )
            ],
          ),
        ),
      ),
    );
  }
}
