import Flutter
import UIKit

public class SwiftQuQrCodeScannerPlugin: NSObject, FlutterPlugin {
    public static func register(with registrar: FlutterPluginRegistrar) {
        let channel = FlutterMethodChannel(name: "qu_qr_code_scanner", binaryMessenger: registrar.messenger())
        let instance = SwiftQuQrCodeScannerPlugin()
        registrar.addMethodCallDelegate(instance, channel: channel)
    }

    public func handle(_: FlutterMethodCall, result: @escaping FlutterResult) {
        let scanVC = QUQRCodeScannerViewController()
        scanVC.resultBlock = { r in
            result(r)
        }
        let nav = UINavigationController(rootViewController: scanVC)
        nav.modalPresentationStyle = .overFullScreen
        nav.navigationBar.setBackgroundImage(UIImage(), for: .default)
        nav.navigationBar.shadowImage = UIImage()
        QUApplication.rootViewController?.present(nav, animated: true, completion: nil)
    }
}
